package com.ruoyi.szxc.service;

import com.ruoyi.szxc.domain.SzxcPublicActivily;

import java.util.List;
import java.util.Map;

/**
 * 公益活动Service接口
 * 
 * @author hs
 * @date 2024-03-20
 */
public interface ISzxcPublicActivilyService 
{
    /**
     * 查询公益活动
     * 
     * @param id 公益活动主键
     * @return 公益活动
     */
    public SzxcPublicActivily selectSzxcPublicActivilyById(Long id);

    /**
     * 查询公益活动列表
     * 
     * @param szxcPublicActivily 公益活动
     * @return 公益活动集合
     */
    public List<SzxcPublicActivily> selectSzxcPublicActivilyList(SzxcPublicActivily szxcPublicActivily);

    /**
     * 新增公益活动
     * 
     * @param szxcPublicActivily 公益活动
     * @return 结果
     */
    public int insertSzxcPublicActivily(SzxcPublicActivily szxcPublicActivily);

    /**
     * 修改公益活动
     * 
     * @param szxcPublicActivily 公益活动
     * @return 结果
     */
    public int updateSzxcPublicActivily(SzxcPublicActivily szxcPublicActivily);

    /**
     * 批量删除公益活动
     * 
     * @param ids 需要删除的公益活动主键集合
     * @return 结果
     */
    public int deleteSzxcPublicActivilyByIds(Long[] ids);

    /**
     * 删除公益活动信息
     * 
     * @param id 公益活动主键
     * @return 结果
     */
    public int deleteSzxcPublicActivilyById(Long id);

    List<Map<String, Object>> getActiveData();
}
